這個端點啟動膚色分析流程。您必須提供來源檔案(透過網址或檔案 ID),並可選指定臉部角度的嚴格程度。任務會以非同步方式處理,您可以使用這個回應回傳的 task_id 查詢其狀態。
安全
BearerAuthenticationV2
Any of:
臉部角度偵測的嚴格程度(pitch、yaw、roll)。 較嚴格的程度可確保更準確的臉部特徵結果。 預設為 'high'。 選項:
- strict:pitch <= 4 度、yaw <= 6 度、roll <= 4 度
- high:pitch、yaw、roll <= 10 度
- medium:pitch、yaw、roll <= 15 度
- low:pitch、yaw、roll <= 20 度
- flexible:pitch、yaw、roll <= 30 度
Enum:"strict""high""medium""low""flexible"
示例:"high"
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/skin-tone-analysis
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/skin-tone-analysis \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"face_angle_strictness_level": "high"
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }